cURL
curl --request GET \ --url https://us.infisical.com/api/v1/identities \ --header 'Authorization: Bearer <token>'
{ "identities": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "role": "<string>", "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "identity": { "name": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "authMethods": [ "<string>" ], "hasDeleteProtection": false }, "roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "lastLoginAuthMethod": "<string>", "lastLoginTime": "2023-11-07T05:31:56Z", "customRole": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "slug": "<string>", "permissions": "<unknown>", "description": "<string>" } } ], "totalCount": 123 }
List machine identities
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
An access token in Infisical
The ID of the organization to list identities.
Default Response
Show child attributes
Was this page helpful?